package com.steerinfo.meterwork.meterworkstaticmonitor.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="火车计量监控表")
public class MeterWorkStaticMonitor implements IBasePO<String> {
    /**
     * 计量点编号(POINT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String pointNo;

    /**
     * 计量点(POINT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点",required=false)
    private String pointName;

    /**
     * 是否有效 1有效 0无效(VALID_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="是否有效 1有效 0无效",required=false)
    private String validFlag;

    /**
     * 0未接管，1已远程接管(IS_TAKE_OVER,VARCHAR,1)
     */
    @ApiModelProperty(value="0未接管，1已远程接管",required=false)
    private String isTakeOver;

    /**
     * 与实时库对应的采集点(COLLECTION_CODE,VARCHAR,20)
     */
    @ApiModelProperty(value="与实时库对应的采集点",required=false)
    private String collectionCode;

    /**
     * 接管终端用户(USER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="接管终端用户",required=false)
    private String userNo;

    /**
     * 监控用户(MONITOR_USER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="监控用户",required=false)
    private String monitorUserNo;

    /**
     * 0静态轨道，1动态轨道衡(PNT_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="0静态轨道，1动态轨道衡",required=false)
    private String pntType;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.pointNo;
    }

    @Override
    public void setId(String pointNo) {
        this.pointNo = pointNo == null ? null : pointNo.trim();
    }

    public String getPointNo() {
        return pointNo;
    }

    public void setPointNo(String pointNo) {
        this.pointNo = pointNo == null ? null : pointNo.trim();
    }

    public String getPointName() {
        return pointName;
    }

    public void setPointName(String pointName) {
        this.pointName = pointName == null ? null : pointName.trim();
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag == null ? null : validFlag.trim();
    }

    public String getIsTakeOver() {
        return isTakeOver;
    }

    public void setIsTakeOver(String isTakeOver) {
        this.isTakeOver = isTakeOver == null ? null : isTakeOver.trim();
    }

    public String getCollectionCode() {
        return collectionCode;
    }

    public void setCollectionCode(String collectionCode) {
        this.collectionCode = collectionCode == null ? null : collectionCode.trim();
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo == null ? null : userNo.trim();
    }

    public String getMonitorUserNo() {
        return monitorUserNo;
    }

    public void setMonitorUserNo(String monitorUserNo) {
        this.monitorUserNo = monitorUserNo == null ? null : monitorUserNo.trim();
    }

    public String getPntType() {
        return pntType;
    }

    public void setPntType(String pntType) {
        this.pntType = pntType == null ? null : pntType.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", pointNo=").append(pointNo);
        sb.append(", pointName=").append(pointName);
        sb.append(", validFlag=").append(validFlag);
        sb.append(", isTakeOver=").append(isTakeOver);
        sb.append(", collectionCode=").append(collectionCode);
        sb.append(", userNo=").append(userNo);
        sb.append(", monitorUserNo=").append(monitorUserNo);
        sb.append(", pntType=").append(pntType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}